> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Array of Custom Field Values

> Send an array of values for different custom fields.

### Changelog
| Version      | Description |
| ---------------- | ------------|
|0.70.0            | Added       |

## OpenAPI

````json POST /api/v1/livechat/custom.fields
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Omnichannel"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Omnichannel Users"
    },
    {
      "name": "Omnichannel Agents"
    },
    {
      "name": "Omnichannel Monitors"
    },
    {
      "name": "Omnichannel Visitors"
    },
    {
      "name": "Omnichannel Contacts"
    },
    {
      "name": "Omnichannel Rooms"
    },
    {
      "name": "Omnichannel Departments"
    },
    {
      "name": "Omnichannel Custom Fields"
    },
    {
      "name": "Omnichannel Business Hours"
    },
    {
      "name": "Omnichannel Priorities"
    },
    {
      "name": "Omnichannel Tags"
    },
    {
      "name": "Omnichannel Units"
    },
    {
      "name": "SLA Policies"
    },
    {
      "name": "Canned Responses"
    },
    {
      "name": "Omnichannel Transcript"
    },
    {
      "name": "Omnichannel Statistics"
    },
    {
      "name": "Omnichannel Agent Stats"
    },
    {
      "name": "Omnichannel Dashboards"
    },
    {
      "name": "Reports"
    },
    {
      "name": "Omnichannel Inquiries"
    },
    {
      "name": "Omnichannel Webhooks"
    },
    {
      "name": "Livechat"
    },
    {
      "name": "Livechat Appearance"
    },
    {
      "name": "Livechat Triggers"
    },
    {
      "name": "Livechat Messages"
    },
    {
      "name": "Livechat Page Visited"
    }
  ],
  "paths": {
    "/api/v1/livechat/custom.fields": {
      "post": {
        "summary": "Send Array of Custom Field Values",
        "description": "Send an array of values for different custom fields.\n\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|0.70.0            | Added       |",
        "operationId": "post-api-v1-livechat-custom.fields",
        "requestBody": {
          "description": "",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "token": {
                    "type": "string",
                    "description": "The visitor token."
                  },
                  "customFields": {
                    "type": "array",
                    "description": "The object in which you must enter the custom field information.",
                    "items": {
                      "type": "object",
                      "properties": {
                        "key": {
                          "type": "string",
                          "description": "The custom field."
                        },
                        "value": {
                          "type": "string",
                          "description": "The value you want to set for the custom field."
                        },
                        "overwrite": {
                          "type": "boolean",
                          "description": "Overwrite the value of the custom field."
                        }
                      },
                      "required": [
                        "key",
                        "value",
                        "overwrite"
                      ]
                    }
                  }
                },
                "required": [
                  "token",
                  "customFields"
                ]
              },
              "examples": {
                "Example 1": {
                  "value": {
                    "token": "iNKE8a6k6cjbqWhWd",
                    "customFields": [
                      {
                        "key": "address",
                        "value": "Rocket.Chat Avenue",
                        "overwrite": "true"
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "fields": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "Key": {
                            "type": "string"
                          },
                          "value": {
                            "type": "string"
                          },
                          "overwrite": {
                            "type": "boolean"
                          }
                        }
                      }
                    },
                    "success": {
                      "type": "boolean"
                    }
                  },
                  "x-examples": null
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "fields": [
                        {
                          "Key": "address",
                          "value": "Rocket.Chat Avenue",
                          "overwrite": "true"
                        }
                      ],
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'token' [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  },
                  "Example 2": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'key' [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Omnichannel Custom Fields"
        ]
      }
    }
  }
}
````

